GNU bug report logs - #26186
25.1; Emacs compiled with --with-xwidgets segfaults when I call "xwidget-webkit-browse-url"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Oscar Belletti <belletti.oscar@HIDDEN>; merged with #26787, #27514; dated Mon, 20 Mar 2017 06:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26186 26787 27514. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 26186 26787. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 26186 <at> debbugs.gnu.org:


Received: (at 26186) by debbugs.gnu.org; 21 Mar 2017 19:03:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 21 15:03:18 2017
Received: from localhost ([127.0.0.1]:38276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cqP3t-0003rW-Vh
	for submit <at> debbugs.gnu.org; Tue, 21 Mar 2017 15:03:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40183)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cqP3s-0003rF-7O
 for 26186 <at> debbugs.gnu.org; Tue, 21 Mar 2017 15:03:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cqP3l-0006wO-VP
 for 26186 <at> debbugs.gnu.org; Tue, 21 Mar 2017 15:03:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60031)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cqP3l-0006wH-Sh; Tue, 21 Mar 2017 15:03:09 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2525
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cqP3k-0006Iu-NJ; Tue, 21 Mar 2017 15:03:09 -0400
Date: Tue, 21 Mar 2017 21:02:57 +0200
Message-Id: <8337e6wizi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Oscar Belletti <belletti.oscar@HIDDEN>
In-reply-to: <1490119620.1507.1.camel@HIDDEN> (message from
 Oscar Belletti on Tue, 21 Mar 2017 19:07:00 +0100)
Subject: Re: bug#26186: 25.1; Emacs compiled with --with-xwidgets segfaults
 when I call "xwidget-webkit-browse-url"
References: <1489971564.4121.0.camel@HIDDEN>
 <83o9wvx1g4.fsf@HIDDEN> <1490119620.1507.1.camel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26186
Cc: 26186 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Oscar Belletti <belletti.oscar@HIDDEN>
> Date: Tue, 21 Mar 2017 19:07:00 +0100
> 
> 
> I tried on emacs 25.2 rc2 but I got the same result.
> Here's the error:
> Fatal error 11: Segmentation fault
> Backtrace:
> emacs[0x502218]
> emacs[0x5022
> bf]
> /usr/lib/libpthread.so.0(+0x11fe0)[0x7fd796479fe0]
> /usr/lib/libc.so.6
> (malloc_usable_size+0x54)[0x7fd795f131e4]
> /usr/lib/libsqlite3.so.0(+0x8a
> de9)[0x7fd78f92bde9]
> /usr/lib/libsqlite3.so.0(sqlite3Malloc+0xa6)[0x7fd7
> 8f92b3e6]
> /usr/lib/libsqlite3.so.0(sqlite3OsInit+0xe)[0x7fd78f92d15e]
> /us
> r/lib/libsqlite3.so.0(sqlite3_initialize+0xee)[0x7fd78f9271de]
> /usr/lib/
> libsqlite3.so.0(+0x88c99)[0x7fd78f929c99]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0x139ff48)[0x7fd79afeef48]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0x139e4b9)[0x7fd79afed4b9]
> /usr/lib/libwebkitgtk-
> 3.0.so.0(+0xb34430)[0x7fd79a783430]
> /usr/lib/libjavascriptcoregtk-
> 3.0.so.0(+0x5d670a)[0x7fd79964b70a]
> /usr/lib/libpthread.so.0(+0x72e7)[0x
> 7fd79646f2e7]
> /usr/lib/libc.so.6(clone+0x3f)[0x7fd795f8254f]
> Segmentation
> fault (core dumped)

OK, thanks for trying.  I guess this is some new problem, then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26186; Package emacs. Full text available.

Message received at 26186 <at> debbugs.gnu.org:


Received: (at 26186) by debbugs.gnu.org; 20 Mar 2017 18:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 20 14:12:22 2017
Received: from localhost ([127.0.0.1]:36601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cq1n3-0006EL-PQ
	for submit <at> debbugs.gnu.org; Mon, 20 Mar 2017 14:12:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cq1n2-0006E9-3l
 for 26186 <at> debbugs.gnu.org; Mon, 20 Mar 2017 14:12:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cq1ms-0005AS-0t
 for 26186 <at> debbugs.gnu.org; Mon, 20 Mar 2017 14:12:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37398)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cq1mr-0005AN-Tz; Mon, 20 Mar 2017 14:12:09 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1154
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cq1mr-0004wL-7H; Mon, 20 Mar 2017 14:12:09 -0400
Date: Mon, 20 Mar 2017 20:11:55 +0200
Message-Id: <83o9wvx1g4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Oscar Belletti <belletti.oscar@HIDDEN>
In-reply-to: <1489971564.4121.0.camel@HIDDEN> (message from
 Oscar Belletti on Mon, 20 Mar 2017 01:59:24 +0100)
Subject: Re: bug#26186: 25.1;
 Emacs compiled with --with-xwidgets segfaults when I call
 "xwidget-webkit-browse-url"
References: <1489971564.4121.0.camel@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26186
Cc: 26186 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Oscar Belletti <belletti.oscar@HIDDEN>
> Date: Mon, 20 Mar 2017 01:59:24 +0100
> 
> The steps I do to reproduce the bug are:
> >$ emacs -Q
> Then in emacs:
>   M-x xwidgets-browse-url RET http://www.google.com RET
> Emacs crashes and I get this error:

Thanks.

Can you try the latest release candidate of Emacs 25.2?  This problem
might be fixed there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26186; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2017 06:06:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 20 02:06:13 2017
Received: from localhost ([127.0.0.1]:35794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cpqSL-0003mt-5q
	for submit <at> debbugs.gnu.org; Mon, 20 Mar 2017 02:06:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplff-0004do-6x
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 20:59:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplfZ-00004x-0R
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 20:59:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47016)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplfY-00004t-TX
 for submit <at> debbugs.gnu.org; Sun, 19 Mar 2017 20:59:32 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39875)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplfX-0005WF-Fw
 for bug-gnu-emacs@HIDDEN; Sun, 19 Mar 2017 20:59:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplfU-0008WE-C2
 for bug-gnu-emacs@HIDDEN; Sun, 19 Mar 2017 20:59:31 -0400
Received: from mail-wm0-x22a.google.com ([2a00:1450:400c:c09::22a]:34327)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71)
 (envelope-from <belletti.oscar@HIDDEN>)
 id 1cplfU-0008W4-1J
 for bug-gnu-emacs@HIDDEN; Sun, 19 Mar 2017 20:59:28 -0400
Received: by mail-wm0-x22a.google.com with SMTP id 196so15942374wmm.1
 for <bug-gnu-emacs@HIDDEN>; Sun, 19 Mar 2017 17:59:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=paciunzio-istruzioneer-it.20150623.gappssmtp.com; s=20150623;
 h=message-id:subject:from:to:date:mime-version
 :content-transfer-encoding;
 bh=UiF+siVGRrnSYi2IedXIaCKXvqlKmlD5IZP4HUeRx98=;
 b=FqLJJvhqUHPSm94kdTXPhBlFzGNOBs19HTctNoy02nRMnR9dZRolj9GTGnI04IEyOu
 CL/x0znhzIbNTIUwoJMDK+EqyQvbwk4VoTgWjKqDTRIkqT2EuUlDcYLWqE3C0hFXuFec
 2M+PDqD+NnvPPVA8INU5ghPn6srS5Kleui7ysFk95FxnVR2MaunOg+lnv50biKfNkHrA
 MucY0b4WX8flrVUqsscW0KJXbYZJJ1sZfnriT+4t8Dd5+Q3hpFH0zdqxpKIm1tPcoROe
 pOX98x1ReVkzGU5VmLMCawJG7ocFnxvq6oigjXLKEyGpwA/yCVpfPp4qKgFCIYEq3jg8
 v6hA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:date:mime-version
 :content-transfer-encoding;
 bh=UiF+siVGRrnSYi2IedXIaCKXvqlKmlD5IZP4HUeRx98=;
 b=Tbxxz26LoSiVk7ZOxeTlMJksJwl8SroQTkiU1vK9sVHhGOMc1DmA91goWdHZ/Zh1sA
 UXoABN373lXoxDFgNHmlu8Sv9ShMCDe3Y+TSserDGWS4xOExw3QovJN7QNmx3ICogMyQ
 vMMTB2nQB6xNav3vpxhkkBqLuNrdz6LH7rr45UI9cCmhYXdVsvdzXOcd3y+EgR3yf9QT
 2Cr9mkZBD3f4IgHxUoLKqgmTrxOW1BmLvTIS/Kf0f3Mk4Dj/KW90VNkUFLm6AaMRXTGk
 K1OWkbjOVgwhD6qQ6W/g/l2IbIhahVX1ql3peJaQ2+o9VkJ5gA3HEPcEuoo8Udw/X3ia
 qn8g==
X-Gm-Message-State: AFeK/H3AIlX1fuq7BKDRy6nZdGnLBy3+Pyfltb6My7bmQLAgNEfrHzwExfrsRBXC3j2i9znd
X-Received: by 10.28.199.132 with SMTP id x126mr7310018wmf.37.1489971566228;
 Sun, 19 Mar 2017 17:59:26 -0700 (PDT)
Received: from [192.168.1.19]
 (host62-40-dynamic.20-87-r.retail.telecomitalia.it. [87.20.40.62])
 by smtp.gmail.com with ESMTPSA id i203sm11469958wmf.12.2017.03.19.17.59.24
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 19 Mar 2017 17:59:25 -0700 (PDT)
Message-ID: <1489971564.4121.0.camel@HIDDEN>
Subject: 25.1; Emacs compiled with --with-xwidgets segfaults when I call
 "xwidget-webkit-browse-url"
From: Oscar Belletti <belletti.oscar@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Mon, 20 Mar 2017 01:59:24 +0100
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.22.6 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 Mar 2017 02:06:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The steps I do to reproduce the bug are:
>$ emacs -Q
Then in emacs:
  M-x xwidgets-browse-url RET http://www.google.com RET
Emacs crashes and I get this error:

Fatal error 11: Segmentation fault
Backtrace:
emacs[0x501ef8]
emacs[0x501f9f]
/usr/lib/libpthread.so.0(+0x11fe0)[0x7fa4bcf98fe0]
/usr/lib/libc.so.6(malloc_usable_size+0x54)[0x7fa4bca321e4]
/usr/lib/libsqlite3.so.0(+0x8ade9)[0x7fa4b644ade9]
/usr/lib/libsqlite3.so.0(sqlite3Malloc+0xa6)[0x7fa4b644a3e6]
/usr/lib/libsqlite3.so.0(sqlite3OsInit+0xe)[0x7fa4b644c15e]
/usr/lib/libsqlite3.so.0(sqlite3_initialize+0xee)[0x7fa4b64461de]
/usr/lib/libsqlite3.so.0(+0x88c99)[0x7fa4b6448c99]
/usr/lib/libwebkitgtk-3.0.so.0(+0x139ff48)[0x7fa4c1b0df48]
/usr/lib/libwebkitgtk-3.0.so.0(+0x139e4b9)[0x7fa4c1b0c4b9]
/usr/lib/libwebkitgtk-3.0.so.0(+0xb34430)[0x7fa4c12a2430]
/usr/lib/libjavascriptcoregtk-3.0.so.0(+0x5d670a)[0x7fa4c016a70a]
/usr/lib/libpthread.so.0(+0x72e7)[0x7fa4bcf8e2e7]
/usr/lib/libc.so.6(clone+0x3f)[0x7fa4bcaa154f]
Segmentation fault (core dumped)



In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.10)
 of 2017-03-20 built on aliquid
Windowing system distributor 'The X.Org Foundation', version
11.0.11903000
System Description:	Arch Linux

Configured using:
 'configure --with-xwidgets'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix





Acknowledgement sent to Oscar Belletti <belletti.oscar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26186; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 28 Jun 2017 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.